#
# spec file for package agama-auto
#
# Copyright (c) 2024-2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           agama-auto
#               This will be set by osc services, that will run after this.
Version:        15+526.f63cb040c
Release:        8.1
Summary:        Agama auto-installation service
License:        GPL-2.0-or-later
Url:            https://github.com/agama-project/agama
Source0:        agama.tar
BuildArch:      noarch
Requires:       agama-cli

%description
Agama is a service-based Linux installer. This package contains the
auto-installation service.

%prep
%autosetup -a0 -n agama

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/agama/bin/agama-auto %{buildroot}%{_bindir}/agama-auto
install -D -m 0644 %{_builddir}/agama/systemd/agama-auto.service %{buildroot}%{_unitdir}/agama-auto.service

%pre
%service_add_pre agama-auto.service

%post
%service_add_post agama-auto.service

%preun
%service_del_preun agama-auto.service

%postun
%service_del_preun agama-auto.service

%files
%doc README.md
%license LICENSE
%{_bindir}/agama-auto
%{_unitdir}/agama-auto.service

%changelog
* Tue Jun 24 2025 Ladislav Slezák <lslezak@suse.com>
- Use more consistent "agama config generate" command instead of
  "agama profile import" (gh#agama-project/agama#2347)
* Mon May 26 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 15
* Tue Apr 22 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 14
* Fri Mar 21 2025 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Start the autoinstallation if a profile is found in a predefined
  location (gh#agama-project/agama#2180).
* Thu Feb 13 2025 Knut Anderssen <kanderssen@suse.com>
- gh#agama-project/agama#1970
  - Adapted agama-auto script to reboot by default once the
    unattended installation is finished.
  - Allow to modify the finish method through the 'agama.finish'
    kernel cmdline argument.
* Fri Sep 20 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Change the license to GPL-2.0-or-later (gh#openSUSE/agama#1621).
* Thu Aug 15 2024 Josef Reidinger <jreidinger@suse.com>
- change agama-auto systemd service depedencies to reflect changes
  in agama CLI communication and ensure that it runs when
  agama-auto runs
  (gh#openSUSE/agama#1539)
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Bring back the service scriptlets but using the right service
  name (gh#openSUSE/agama#1433).
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add the %%changelog section to the spec file
  (gh#openSUSE/agama#1431).
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Remove scriptlets section from the spec file
  (gh#openSUSE/agama#1430).
* Thu Jun 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 9
* Fri May 24 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Initial package containing the agama-auto systemd service
  (gh#openSUSE/agama#1252).
